Gtk2::MenuBar(3p)

NAME
Gtk2::MenuBar

HIERARCHY
  Glib::Object
  +----Glib::InitiallyUnowned
       +----Gtk2::Object
            +----Gtk2::Widget
                 +----Gtk2::Container
                      +----Gtk2::MenuShell
                           +----Gtk2::MenuBar

INTERFACES
  Glib::Object::_Unregistered::AtkImplementorIface
  Gtk2::Buildable

METHODS

  widget = Gtk2::MenuBar->new

  packdirection = $menubar->get_child_pack_direction
    Since: gtk+ 2.8

  $menubar->set_child_pack_direction ($child_pack_dir)

    •   $child_pack_dir (Gtk2::PackDirection)

    Since: gtk+ 2.8

  packdirection = $menubar->get_pack_direction
    Since: gtk+ 2.8

  $menubar->set_pack_direction ($pack_dir)

    •   $pack_dir (Gtk2::PackDirection)

    Since: gtk+ 2.8

PROPERTIES

'child-pack-direction' (Gtk2::PackDirection : readable / writable / private)
    The child pack direction of the menubar

'pack-direction' (Gtk2::PackDirection : readable / writable / private)
    The pack direction of the menubar

ENUMS AND FLAGS

  enum Gtk2::PackDirection

•   'ltr' / 'GTK_PACK_DIRECTION_LTR'

•   'rtl' / 'GTK_PACK_DIRECTION_RTL'

•   'ttb' / 'GTK_PACK_DIRECTION_TTB'

•   'btt' / 'GTK_PACK_DIRECTION_BTT'

SEE ALSO
Gtk2, Glib::Object, Glib::InitiallyUnowned, Gtk2::Object, Gtk2::Widget, Gtk2::Container, Gtk2::MenuShell

COPYRIGHT
Copyright (C) 2003-2007 by the gtk2-perl team.

This software is licensed under the LGPL. See Gtk2 for a full notice.